Skip to content

GET the change history for a bot detection rule.

GET
/api/shape/bot/namespaces/{namespace}/bot_detection_rules/{id}/history
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/bot_detection_rules/example/history \
--header 'Authorization: <Authorization>'

Getbotdetectionrulechangehistory CustomAPI.

Examples of this operation.

namespace
required
string

Namespace x-required Namespace is used to scope the query.

id
required
string

ID x-required Rule ID is the unique identifier for a Rule.

A successful response.

Media typeapplication/json
GetBotDetectionRuleChangeHistoryResponse

Response for GET bot detection rule change history.

object
rule_changes
RuleChanges

Rule changes holds the details for changes made to a bot detection rule.

Array<object>
RuleChange

Rule change holds the details of the changes made to a bot detection rule.

object
change_type
string
default: BOT_DETECTION_RULE_CHANGE_TYPE_UNKNOWN
Allowed values: BOT_DETECTION_RULE_CHANGE_TYPE_UNKNOWN BOT_DETECTION_RULE_CHANGE_TYPE_CREATION BOT_DETECTION_RULE_CHANGE_TYPE_MODIFICATION BOT_DETECTION_RULE_CHANGE_TYPE_DELETION
changed_by
Changed By

EmailID of the official who made the change. In case the changed is made by F5 official, the value will be ‘F5’

string
<= 1024 characters
creation
object
deletion
object
modification
object
comments
Comments

Comments provided for when making changes to the configuration of a rule.

string
<= 1024 characters
reasons
Reasons

List of reasons why the rule configuration was changed.

Array<string>
rule_config_deployment_details_per_bot_infra
Rule configuration deployment details per bot infrastructure

Rule or policy definition

Array<object>
BotDetectionRuleConfigDeploymentDetailsPerBotInfra
object
bot_detection_rule_config
object
mitigation
Mitigation

Mitigation - true(ON) / false(OFF)

boolean format: boolean
bot_infra_deployment_details
object
bot_infra_name
BotInfraName

Name of the bot infrastructure as per SAPI’s database.

string
<= 1024 characters
bot_infra_status
object
bot_infra_deployment_status
string
default: BOT_INFRA_DEPLOYMENT_STATUS_UNKNOWN
Allowed values: BOT_INFRA_DEPLOYMENT_STATUS_UNKNOWN BOT_INFRA_DEPLOYMENT_STATUS_INITIATED BOT_INFRA_DEPLOYMENT_STATUS_SUCCESS BOT_INFRA_DEPLOYMENT_STATUS_FAILED BOT_INFRA_DEPLOYMENT_STATUS_INITIATION_FAILED
status_message
StatusMessage

Status message. In case of error, this would contain error details.

string
<= 1024 characters
bot_infrastructure_type
string
default: BOT_INFRA_TYPE_UNKNOWN
Allowed values: BOT_INFRA_TYPE_UNKNOWN BOT_INFRA_TYPE_CLOUD_HOSTED BOT_INFRA_TYPE_HOSTED BOT_INFRA_TYPE_ON_PREM
environment
string
default: PRODUCTION
Allowed values: PRODUCTION TESTING
region_status
object
region_status_details
Bot Infra Deployment Status Details Per Region

Bot Infra Deployment Status Details Per Region.

object
timestamp
Timestamp

Timestamp at which the change was made.

string format: date-time
<= 1024 characters
Example
{
"rule_changes": [
{
"change_type": "BOT_DETECTION_RULE_CHANGE_TYPE_UNKNOWN",
"modification": {
"rule_config_deployment_details_per_bot_infra": [
{
"bot_infra_deployment_details": {
"bot_infra_status": {
"bot_infra_deployment_status": "BOT_INFRA_DEPLOYMENT_STATUS_UNKNOWN"
},
"bot_infrastructure_type": "BOT_INFRA_TYPE_UNKNOWN",
"environment": "PRODUCTION"
}
}
]
}
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example